ComRaidComRaid Docs
API referenceMobile

Clear Opted out for a Channel

Clears Opted out for the Subscription's Contact on the given Channel (push in V1). Requires a matching subscription_credential (credential-less Endpoints return 401). Inactive Subscriptions return 409 (`subscription_inactive`).

POST
/mobile/subscriptions/{id}/opt-in

Clears Opted out for the Subscription's Contact on the given Channel (push in V1). Requires a matching subscription_credential (credential-less Endpoints return 401). Inactive Subscriptions return 409 (subscription_inactive).

Authorization

mobileAppId
headerX-ComRaid-App-Id<token>

Publishable mobile app id (cr_app_...)

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
subscription_credential*string
channel?"push"
Default"push"
Value in"push"

Response Body

Opted in

application/json
  1. response
subscription_id*string
Formatuuid
contact_id*string
Formatuuid
channel*"push"
Value in"push"
opted_out*boolean
Example Request
curl -X POST 'https://api.comraid.io/mobile/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/opt-in' \  -H 'Content-Type: application/json' \  -d '{  "subscription_credential": "string"}'
Example Response
{  "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "channel": "push",  "opted_out": true}